#include "Employee.h"
#include <string>
#include <sstream>

Employee::Employee(const string name,double salary,int eID) : name(name) , salary(salary),employeeID(eID)
{
}

string Employee::ToString() const
{
	stringstream oss;
	oss << "name: " << name << ", salary: " << salary << ", employee id: " << employeeID;
	return oss.str();
}

Employee::operator int() const
{
	return employeeID;
}

Employee::operator string() const
{
	return name;
}

string Employee::GetName() const
{
	return name;
}

