#include "Staff.h"
#include "Employee.h"

Employee e;
Employee Staff::dummy = e;

Staff::Staff(int size) : size(size) 
{
	employees = (new Employee[size]);
}

void Staff::Insert(Employee & e,int index)
{
	if (index >= 0 && index < size)
	{
		employees[index] = e;
	}
}

Employee& Staff::operator[](int id) const
{
	if (id < 0 || id > size)
	{
		return dummy;
	}
	else
	{
		return employees[id];
	}
}

Employee& Staff::operator[](string name) const
{
	for (int i = 0; i < size; i++)
	{
		if (employees[i].GetName() == name)
		{
			return employees[i];
		}
	}
	return dummy;
}
